// 获取多语言信息
function getLanguageInfo() {
    // 引入语言包内容
    let enUSLocale = enUs()
    let zhCNLocale = zhCn()
    //多语言映射
    const languageMap = {
      "en-US": {
        register: enUSLocale.register,
        replaceText: enUSLocale.replaceText,
        langReplaceTextIgnoreKeys: enUSLocale.langReplaceTextIgnoreKeys
      },
      "zh-CN": {
        register: zhCNLocale.register,
        replaceText: zhCNLocale.replaceText,
        langReplaceTextIgnoreKeys: zhCNLocale.langReplaceTextIgnoreKeys
      }
    }
    // 缓存中设置的语言
    let lang = localStorage.getItem('language')
    //内置组件的翻译信息
    let langRegister = {}
    //json配置的全文翻译信息
    let langReplaceText = {}
    //需要忽略json配置的全文替换key
    let langReplaceTextIgnoreKeys = {}
    if (undefined !== languageMap[lang]) {
      langRegister = languageMap[lang].register
      langReplaceText = languageMap[lang].replaceText
      langReplaceTextIgnoreKeys = languageMap[lang].langReplaceTextIgnoreKeys
    } else {
      // 未找到默认中文
      lang = 'zh-CN'
    }
    // 没有替换或忽略替换配置,则为{}
    if (undefined !== langReplaceText && Object.keys(langReplaceText).length !== 0) {
    } else {
      langReplaceText = {}
    }

    if (undefined !== langReplaceTextIgnoreKeys && Object.keys(langReplaceTextIgnoreKeys).length !== 0) {
    } else {
      langReplaceTextIgnoreKeys = {}
    }

    return {
      lang,
      langReplaceText,
      langReplaceTextIgnoreKeys
    }
}

// 获取系统url
function getSystemIp() {

  return "http://localhost:8056";
}